<app-child-component (modifiedDogsOutput)='receiveModifiedDogs($event)' *ngFor="let dog of dogArray"  [dogs]='dog'></app-child-component>

<button (click)='receiveModifiedDogs()'>Receive Dogs</button>

<form [formGroup]="formdata" novalidate (ngSubmit)="addPost(formdata.value)">
  <!-- <input type='text' name='text' formControlName="id" placeholder='id'> -->
  <input type='text' name='text' formControlName="posts" placeholder='posts'>
  <input type='text' name='text' formControlName="type" placeholder='type'>
  <button type='submit'>Submit</button>
</form>




<div *ngFor="let item of firstApiData.posts" >
  <p>{{ item.posts }}</p>
  <p>{{ item.type }}</p>

  <form autocomplete='off' class='editGroupForm' [formGroup]="formdata" novalidate (ngSubmit)='editPost(item)'>
    <input type='text' name='text' formControlName="posts" placeholder='posts'>
    <input type='text' name='text' formControlName="type" placeholder='type'>
    <button type='submit' [disabled]="formdata.invalid">Edit Post</button>
  </form>
  <button class="delete" title="delete post" (click)="deletePost(item)">Delete Post</button>
</div>


<!-- <div *ngFor="let item of firstApiData" >
  <p>{{ item.title }}</p>
</div> -->

<!-- <div *ngIf='receiveModifiedDogs'>
  <div *ngFor="let item of receiveModifiedDogs">
    <p>{{item.fullname }}</p>
    <div *ngFor="let dog of item">
      <p>{{ dog.fullname }}</p>
    </div>

  </div>
</div> -->


